/************************************************************************************
 *  File:     main.c
 *  Purpose:  Cortex-M4 main file.
 *            Replace with your code.
 *  Date:     05 July 2013
 *  Info:     If __NO_SYSTEM_INIT is defined in the Build options,
 *            the startup code will not branch to SystemInit()
 *            and the function can be removed
 ************************************************************************************/

/* -------------------------------------------------------------------
* Header files
* ------------------------------------------------------------------- */
#include "device.h"

/* -------------------------------------------------------------------
* #DEFINEs
* ------------------------------------------------------------------- */
#define LED2_PORT    pADI_PORTE
#define LED2_PIN     0x40
#define LED2_ON      LED2_PORT->DATA_SET
#define LED2_OFF     LED2_PORT->DATA_CLR


/* -------------------------------------------------------------------
* Global Functions
* ------------------------------------------------------------------- */
void Init_CGU(char MSEL, char DF, char CSEL, char SSEL);


#ifndef __NO_SYSTEM_INIT
void SystemInit()
{
  // set clocks: CCLK 240MHz, SCLK 80MHz, 1:3
  Init_CGU(32, 0, 4, 12);

  // EZ-Kit CM408 enable LED2
  LED2_PORT->DIR_SET |= LED2_PIN;
  LED2_ON = LED2_PIN;

}
#endif

/*********************************************************************
 *
 *  main()
 *********************************************************************/
void main()
{
  /******************************************************************
   *
   *  Place your code here.
   ******************************************************************/
  int Cnt;
  while(1)
  {
    LED2_ON = LED2_PIN;
    for(Cnt=0; Cnt<3000000; Cnt++);

    LED2_OFF = LED2_PIN;
    for(Cnt=0; Cnt<3000000; Cnt++);
  }

}
